#include <stdio.h>
#include "BMP_include.h"

void BMP_ShowError (int status);
int BMP_ReadHeader (FILE *FilePNT, unsigned char BMPheader []);
int BMP_GetSize (unsigned char BMPheader [], int *Righe, int *Colonne);
long int BMP_ReadImage (FILE *FilePNT, unsigned char BMPimage []);

int main(int argc, char *argv []) {

   FILE *FileIn, *FileOut;
   unsigned char BMPheader   [54];
   unsigned char BMPimageIn  [1000 * 1000 * 3];
   int Righe, Colonne, status;
   long int i, InNbytes;

   FileIn = fopen (argv [1], "rb");
   if (FileIn == NULL) BMP_ShowError (status);

   status = BMP_ReadHeader (FileIn, BMPheader);
   if (status != 0) BMP_ShowError (status);

   BMP_GetSize (BMPheader, &Righe, &Colonne);

   InNbytes = BMP_ReadImage (FileIn, BMPimageIn);

   printf ("Letti %ld bytes\n", InNbytes);

   fclose (FileIn);

}
